import { h } from 'vue';
import { ElTag } from 'element-plus';

export const columns = [
  {
    title: 'ID',
    dataIndex: 'id',
    width: 100,
  },
  {
    title: '任务名称',
    dataIndex: 'jobName',
  },
  {
    title: '任务组名',
    dataIndex: 'jobGroup',
  },
  {
    title: '任务触发器',
    dataIndex: 'jobTrigger',
  },
  {
    title: '任务信息',
    dataIndex: 'jobMessage',
  },
  {
    title: '执行状态',
    dataIndex: 'status',
    customRender({ record }) {
      let typeText = '';
      switch (record.status) {
        case 0:
          typeText = '未发布';
          break;
        case 1:
          typeText = '运行中';
          break;
        case 2:
          typeText = '暂停';
          break;
        case 3:
          typeText = '删除';
          break;
        default:
          break;
      }
      return h('span', typeText || '-');
    },
  },
  {
    title: '执行时间',
    dataIndex: 'startTime',
  },
  {
    title: '操作',
    fixed: 'right',
    dataIndex: 'action',
    key: 'action',
    width: 200,
  },
];
